%define upstream_name    Time-Out
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Easily timeout long running operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
'Time::Out' provides an easy interface to _alarm(2)_ based timeouts. Nested
timeouts are supported.

RETURN VALUE
    'timeout' returns whatever the code placed inside the block returns:

      use Time::Out qw(timeout) ;
    
      my $rc = timeout 5 => sub {
    	return 7 ;
      } ;
      # $rc == 7

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 0.110.0-4pclos2017
- rebuild against updates
